#!/bin/bash

source ../bash_utils/helpers.sh

[ $# -lt 1 ] && fatal "Usage: $0 <ifs-bundle-dir>"

IFS_BUNDLE_DIR=$1
FNAME="${IFS_BUNDLE_DIR}.version"
CMP_LIST="ecbuild eccodes bufrdc_tables bufrdc_emoslib eckit fckit metkit fdb5 fiat ectrans atlas mir atlas-orca multio ifs-source nemovar raps"

info "Checking components version for $IFS_BUNDLE_DIR ..."
cat "Checking components version for $IFS_BUNDLE_DIR ..." &> $FNAME
for COMPONENT in $CMP_LIST
do
    DIR=${IFS_BUNDLE_DIR}/source/$COMPONENT
    if  REPO_REMOTE=$(git -C $DIR config --get remote.origin.url) &&
        REPO_HASH=$(git -C $DIR rev-parse --short HEAD) &&
        REPO_BRANCH=$(git -C $DIR rev-parse --abbrev-ref HEAD); then

        info "$COMPONENT pointing $REPO_REMOTE @ $REPO_BRANCH - $REPO_HASH"
        cat "$COMPONENT pointing $REPO_REMOTE @ $REPO_BRANCH - $REPO_HASH" &> $FNAME
    else
        info "UNABLE TO FOUND $COMPONENT"
        cat "UNABLE TO FOUND $COMPONENT" &> $FNAME
    fi
done

success "DONE. Results placed at $FNAME"
